## pokemmo-installer 1.4.8

=== Makefile ===
###############################################################################
#  This file is part of PokeMMO Installer, is an program downloads and
#  installs the PokeMMO client to a user's home directory and provides
#  a launcher script for a convientient starting of the emulator.
#
#  The program is published under GPLv3 with OpenSSL exception,
#  the full license can be found in the LICENSE file.
###############################################################################

EXE = pokemmo-installer
SRCDIR = src
PREFIX = $(DESTDIR)/usr
BINDIR = $(PREFIX)/games
ICNDIR = $(PREFIX)/share/pixmaps
APPDIR = $(PREFIX)/share/applications

SCRIPT = pokemmo-installer.sh
ICON = pokemmo-installer.png
DESKTOP = pokemmo-installer.desktop

CP = cp -f
RM = rm -rf
MD = mkdir -p
ECHO = echo
CHMOD = chmod 755

all:
	@$(CP) "$(SRCDIR)/$(SCRIPT)" "$(EXE)"
	@$(CHMOD) "$(EXE)"
	@$(ECHO) "Created executable script successfully"

clean:
	@$(RM) $(EXE)
	@$(ECHO) "Removed script executable successfully"

install: all
	@$(MD) "$(BINDIR)"
	@$(CP) "$(EXE)" "$(BINDIR)"
	@$(MD) "$(ICNDIR)"
	@$(CP) "$(SRCDIR)/$(ICON)" "$(ICNDIR)"
	@$(MD) "$(APPDIR)"
	@$(CP) "$(SRCDIR)/$(DESKTOP)" "$(APPDIR)"
	@$(ECHO) "Installed the files successfully"

uninstall: clean
	@$(RM) "$(BINDIR)/$(EXE)"
	@$(RM) "$(ICNDIR)/$(ICON)"
	@$(RM) "$(APPDIR)/$(DESKTOP)"
	@$(ECHO) "Successfully removed"

.PHONY: all clean install uninstall

## pokemmo-installer 1.4.6

=== debian/changelog ===
pokemmo-installer (1.4.6-2) unstable; urgency=medium

  * Updated d/watch file upstream move to GitLab
  * Updated d/upstream/metadata URLs move to GitLab
  * debian/control:
    + Changed homepage URL to GitLab
    + Declare compliance with Debian Policy: 4.1.4
  * debian/copyright:
    + Update source URL after move to GitLab
    - Removed Debian Games Team in files: debian/*

 -- Carlos Donizete Froes <coringao@riseup.net>  Sat, 09 Jun 2018 12:44:49 -0300

pokemmo-installer (1.4.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    + Added dependent files (kdialog, wget)
  * d/upstream/metadata: updated information

 -- Carlos Donizete Froes <coringao@riseup.net>  Sun, 18 Feb 2018 21:08:46 -0300

pokemmo-installer (1.4.5-1) unstable; urgency=medium

  * Initial release (Closes: #886601)

 -- Carlos Donizete Froes <coringao@riseup.net>  Tue, 09 Jan 2018 20:08:00 -0200

=== debian/control ===
Source: pokemmo-installer
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Carlos Donizete Froes <coringao@riseup.net>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.4
Homepage: https://gitlab.com/coringao/pokemmo-installer/wikis
Vcs-Git: https://salsa.debian.org/games-team/pokemmo-installer.git
Vcs-Browser: https://salsa.debian.org/games-team/pokemmo-installer

Package: pokemmo-installer
Architecture: all
Depends: default-jre, openssl, wget, zenity | kdialog, ${misc:Depends}
Description: Installer and Launcher for the PokeMMO emulator
 This program downloads and installs the PokeMMO client to a user's home
 directory and provides a launcher script for a convientient starting
 of the emulator.
 .
 PokeMMO client is an emulator of several popular console games with
 additional features and multiplayer capabilities.
 .
 This launcher assists with the download, installation, and maintenance
 of the game client.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
  https://gitlab.com/coringao/pokemmo-installer/tags \
  .*/pokemmo-installer-(\d\S+)\.(?:tar\.(?:gz|bz2|xz))

## pokemmo-installer 1.4.7

=== debian/changelog ===
pokemmo-installer (1.4.7-3) unstable; urgency=medium

  * Using new DH level format. Consequently:
    - debian/compat: removed.
    + debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 12.
  * debian/control:
    + Bumped Standards-Version to 4.4.0.
    + Added more details in long description.

 -- Carlos Donizete Froes <coringao@riseup.net>  Mon, 22 Jul 2019 04:05:40 -0300

pokemmo-installer (1.4.7-2) unstable; urgency=medium

  * Switch to compat level 12
  * debian/control:
    + Bump debhelper compat to 12
    + Bump Standards-Version to 4.3.0
  * Updated d/copyright years
  * Update d/upstream/metadata years
  * Added tarball option 'bz2' from file d/watch

 -- Carlos Donizete Froes <coringao@riseup.net>  Sat, 16 Feb 2019 01:46:55 -0200

pokemmo-installer (1.4.7-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    + Declare compliance with Debian Policy: 4.2.1
  * Updated d/watch file

 -- Carlos Donizete Froes <coringao@riseup.net>  Mon, 24 Sep 2018 00:49:41 -0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Carlos Donizete Froes <coringao@riseup.net>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.0
 Homepage: https://gitlab.com/coringao/pokemmo-installer/wikis
 Vcs-Git: https://salsa.debian.org/games-team/pokemmo-installer.git
 Vcs-Browser: https://salsa.debian.org/games-team/pokemmo-installer
@@ -22,3 +22,9 @@
  .
  This launcher assists with the download, installation, and maintenance
  of the game client.
+ .
+ You should get compatible ROMs for the emulator:
+ ($HOME/.local/share/pokemmo/roms)
+  * Current Required Compatible ROMS: Black/White 1 (NDS)
+  * Current Optional Content Compatible ROMS: Fire Red, Emerald (GBA)
+  * Current Optional Visuals Compatible ROMS: HeartGold, SoulSilver (NDS)

## pokemmo-installer 1.4.8

=== debian/changelog ===
pokemmo-installer (1.4.8-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    + Bumped Standards-Version to 4.5.0.
    + Set Rules-Requires-Root to no.
    + Enhanced long description.
  * debian/copyright:
    + Added copyright information for contact.
    + Copyright updated for current years.
  * Update debian/upstream/metadata years.

 -- Carlos Donizete Froes <coringao@riseup.net>  Sat, 25 Jan 2020 03:00:55 -0300

=== debian/control ===
Source: pokemmo-installer
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Carlos Donizete Froes <coringao@riseup.net>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/coringao/pokemmo-installer/wikis
Vcs-Git: https://salsa.debian.org/games-team/pokemmo-installer.git
Vcs-Browser: https://salsa.debian.org/games-team/pokemmo-installer

Package: pokemmo-installer
Architecture: all
Depends: default-jre, openssl, wget, zenity | kdialog, ${misc:Depends}
Description: Installer and Launcher for the PokeMMO emulator
 This program will download and install the PokeMMO client in
 a user's home directory.
 .
 With the launcher, it will assist in the download, installation
 and maintenance of the game client.
 .
 PokeMMO client is an online multiplayer emulator created by fans,
 allowing you to play the saga of pokemon games, where you can interact with
 other trainers by talking, fighting and swapping the monsters you encounter.
 .
 This emulator has an important requirement where you need to have
 the ROMs of the games in question available for the game to work,
 it is absolutely necessary.
 .
 You must obtain the compatible ROMs for the emulator and add to the directory:
 ($HOME/.local/share/pokemmo/roms)
  * Current Required Compatible ROMS: Black/White 1 (NDS)
  * Current Optional Content Compatible ROMS: Fire Red, Emerald (GBA)
  * Current Optional Visuals Compatible ROMS: HeartGold, SoulSilver (NDS)
 .
 NOTICE: You must have the legal right to use ROMs. This emulator is not
 provided and has no option to help you find them, as the files are protected
 by copyright.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
  https://gitlab.com/coringao/pokemmo-installer/tags \
  .*/pokemmo-installer-(\d\S+)\.(?:tar\.(?:gz|bz2))
